## gate.html
Class HtmlDocumentHandler.CustomObject

    java.lang.Object
      |
      +--gate.html.HtmlDocumentHandler.CustomObject

All Implemented Interfaces:
  Comparable

Enclosing class:
  HtmlDocumentHandler

class HtmlDocumentHandler.CustomObject
extends Object
implements Comparable

The objects belonging to this class are used inside the stack. This class is for internal needs

Field Summary
`private String` `elemName`
`private Long` `end`
`private FeatureMap` `fm`
`private Long` `id`
`private Long` `start`

Constructor Summary
`HtmlDocumentHandler.CustomObject(String anElemName, FeatureMap aFm, Long aStart, Long anEnd)`

Method Summary
`int` `compareTo(Object o)`
`String` `getElemName()`
`Long` `getEnd()`
`FeatureMap` `getFM()`
`Long` `getId()`
`Long` `getStart()`
`void` `setElemName(String anElemName)`
`void` `setEnd(Long anEnd)`
`void` `setFM(FeatureMap aFm)`
`void` `setStart(Long aStart)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### elemName

    private String elemName

### fm

    private FeatureMap fm

### start

    private Long start

### end

    private Long end

### id

    private Long id

Constructor Detail

### HtmlDocumentHandler.CustomObject

    public HtmlDocumentHandler.CustomObject(String anElemName,
                                            FeatureMap aFm,
                                            Long aStart,
                                            Long anEnd)

Method Detail

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### getElemName

    public String getElemName()

### getFM

    public FeatureMap getFM()

### getStart

    public Long getStart()

### getEnd

    public Long getEnd()

### getId

    public Long getId()

### setElemName

    public void setElemName(String anElemName)

### setFM

    public void setFM(FeatureMap aFm)

### setStart

    public void setStart(Long aStart)

### setEnd

    public void setEnd(Long anEnd)